%define anolis_release 1

Name:		perl-OLE-Storage_Lite
Version:	0.20
Release:	%{anolis_release}%{?dist}
Summary:	Simple Class for OLE document interface
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/OLE-Storage_Lite
Source0:	https://cpan.metacpan.org/authors/id/J/JM/JMCNAMARA/OLE-Storage_Lite-%{version}.tar.gz
BuildArch:	noarch
# Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IO::Scalar)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(strict)
BuildRequires:	perl(Time::Local)
BuildRequires:	perl(vars)
# Tests:
BuildRequires:	perl(Test::More)
# Dependencies:
Requires:	perl(IO::Scalar)

%description
Simple Class for OLE document interface.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n OLE-Storage_Lite-%{version} 

# Fix line endings
perl -pi -e 's/\r\n/\n/g' Changes README sample/{README,*.pl}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc sample/
%{perl_vendorlib}/OLE/
%{_mandir}/man3/OLE::Storage_Lite.3*

%files doc
%doc Changes README

%changelog
* Fri Apr 28 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.20-1
- Init upstream from version 0.20
